Package groovy.concurrent

# Enum Class ActorOptions.Overflow

java.lang.Object
java.lang.Enum<ActorOptions.Overflow>
groovy.concurrent.ActorOptions.Overflow

All Implemented Interfaces:
  `Serializable`, `Comparable<ActorOptions.Overflow>`, `Constable`

Enclosing class:
  ActorOptions

public static enum ActorOptions.Overflow extends Enum<ActorOptions.Overflow>
Policy applied when `Actor.send(Object)` is called on an actor whose bounded mailbox is full.

Since:
  6.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK`
  The sending thread blocks until space is available.
  `DROP_NEWEST`
  The new message is silently dropped.
  `FAIL`
  `Actor.send(Object)` throws `IllegalStateException`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActorOptions.Overflow`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ActorOptions.Overflow[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLOCK

    public static final ActorOptions.Overflow BLOCK
    The sending thread blocks until space is available.

  - ### DROP_NEWEST

    public static final ActorOptions.Overflow DROP_NEWEST
    The new message is silently dropped.

  - ### FAIL

    public static final ActorOptions.Overflow FAIL
    `Actor.send(Object)` throws `IllegalStateException`.

- ## Method Details

  - ### values

    public static ActorOptions.Overflow[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ActorOptions.Overflow valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null